Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 519328 - dev-vcs/subversion - add server and xinetd use flags
Summary: dev-vcs/subversion - add server and xinetd use flags
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-07 16:13 UTC by Conrad Kostecki
Modified: 2018-07-12 15:34 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
subversion-1.9.4.ebuild (subversion-1.9.4.ebuild,15.09 KB, text/plain)
2016-08-12 20:58 UTC, Conrad Kostecki
Details
subversion-1.9.4.ebuild.diff (subversion-1.9.4.ebuild.diff,5.62 KB, patch)
2016-08-12 20:58 UTC, Conrad Kostecki
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Conrad Kostecki gentoo-dev 2014-08-07 16:13:16 UTC
Hi!
dev-vcs/subversion installs per default svnserve. It you just want to use only the client, it's unnecessary to install those files and scripts. That should be covered by the "server" use flag.

There is also installed a xinetd file, which should be only used by the "xinetd" use flag.



Reproducible: Always
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-08-07 16:22:48 UTC
USE=xinetd is invalid. USE=server may be valid but I'm not sure if the effort needed to disable server components is larger than the cost of building them.
Comment 2 Thomas Sachau gentoo-dev 2016-08-06 17:05:02 UTC
Re-assigning to the remaining maintainer.
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2016-08-06 17:06:06 UTC
Patches would be welcome...
Comment 4 Conrad Kostecki gentoo-dev 2016-08-12 20:58:31 UTC
Created attachment 443172 [details]
subversion-1.9.4.ebuild

Maybe something like that?
Comment 5 Conrad Kostecki gentoo-dev 2016-08-12 20:58:45 UTC
Created attachment 443174 [details, diff]
subversion-1.9.4.ebuild.diff
Comment 6 Lars Wendler (Polynomial-C) gentoo-dev 2016-08-17 14:21:06 UTC
Unfortunately this patch still does not prevent compilation and installation of svnserve binary. I've looked into the build system and I see no chance to prevent compilation of svnserve.
Comment 7 Conrad Kostecki gentoo-dev 2018-07-12 15:34:51 UTC
Closing, since I don't think this will be ever somehow patched..